CS::Animation::SkeletonAnimNodeSingleBase Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
CS::Animation::SkeletonAnimNodeSingleBase Class Reference

Methods of SkeletonAnimNodeSingle not dependent on the factory type. More...

`#include <cstool/animnodetmpl.h>`

Inheritance diagram for CS::Animation::SkeletonAnimNodeSingleBase:

List of all members.

## Public Member Functions
virtual void | AddAnimationCallback (iSkeletonAnimCallback *callback)
| Add a new animation callback to this node.
virtual void | BlendState (AnimatedMeshState *state, float baseWeight=1.0f)
| Blend the state of this node into the global skeleton state.
virtual iSkeletonAnimNode * | GetChildNode () const
| Get the child node of this node, or nullptr if there are none.
virtual float | GetDuration () const
| Get the time length of this node, in seconds.
virtual float | GetPlaybackPosition () const
| Get the current playback position, in seconds (ie a time value between 0 and GetDuration()).
virtual float | GetPlaybackSpeed () const
| Get the playback speed.
virtual bool | IsActive () const
| Return whether or not this node is currently playing and needs any blending.
virtual void | Play ()
| Start playing the node, it will therefore start modifying the state of the skeleton.
virtual void | RemoveAnimationCallback (iSkeletonAnimCallback *callback)
| Remove the given animation callback from this node.
virtual void | SetPlaybackPosition (float time)
| Set the current playback position, in seconds.
virtual void | SetPlaybackSpeed (float speed)
| Set the playback speed.
| SkeletonAnimNodeSingleBase (CS::Animation::iSkeleton *skeleton)
| Constructor.
virtual void | Stop ()
| Stop playing the node, it will no longer modify the state of the skeleton.
virtual void | TickAnimation (float dt)
| Update the state of the animation generated by this node.
virtual | ~SkeletonAnimNodeSingleBase ()
| Destructor.
## Protected Attributes
csRef < CS::Animation::iSkeletonAnimNode > | childNode
| Reference to the child node of this node.
bool | isPlaying
| Whether or not iSkeletonAnimNode::Play() has been called.
float | playbackSpeed
| Speed of the animation of this node.
csWeakRef < CS::Animation::iSkeleton > | skeleton
| Reference to the skeleton animated by this node.

## Detailed Description

Methods of SkeletonAnimNodeSingle not dependent on the factory type.

Definition at line 180 of file animnodetmpl.h.

## Constructor & Destructor Documentation

CS::Animation::SkeletonAnimNodeSingleBase::SkeletonAnimNodeSingleBase | ( | CS::Animation::iSkeleton * | skeleton | ) |

Constructor.

virtual CS::Animation::SkeletonAnimNodeSingleBase::~SkeletonAnimNodeSingleBase | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 191 of file animnodetmpl.h.

## Member Function Documentation

virtual void CS::Animation::SkeletonAnimNodeSingleBase::AddAnimationCallback | ( | iSkeletonAnimCallback * | callback | ) | `[virtual]`

Add a new animation callback to this node.

Parameters:

  callback | The callback object

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::BlendState | ( | AnimatedMeshState * | state,
|  | float | baseWeight = `1.0f`
| ) |  | `[virtual]`

Blend the state of this node into the global skeleton state.

Parameters:

  state | The global blend state to blend into
  baseWeight | Global weight for the blending of this node

Implements CS::Animation::iSkeletonAnimNode.

virtual iSkeletonAnimNode* CS::Animation::SkeletonAnimNodeSingleBase::GetChildNode | ( |  | ) | const`[virtual]`

Get the child node of this node, or nullptr if there are none.

virtual float CS::Animation::SkeletonAnimNodeSingleBase::GetDuration | ( |  | ) | const`[virtual]`

Get the time length of this node, in seconds.

Implements CS::Animation::iSkeletonAnimNode.

virtual float CS::Animation::SkeletonAnimNodeSingleBase::GetPlaybackPosition | ( |  | ) | const`[virtual]`

Get the current playback position, in seconds (ie a time value between 0 and GetDuration()).

Implements CS::Animation::iSkeletonAnimNode.

virtual float CS::Animation::SkeletonAnimNodeSingleBase::GetPlaybackSpeed | ( |  | ) | const`[virtual]`

Get the playback speed.

The default value is 1.0.

Implements CS::Animation::iSkeletonAnimNode.

virtual bool CS::Animation::SkeletonAnimNodeSingleBase::IsActive | ( |  | ) | const`[virtual]`

Return whether or not this node is currently playing and needs any blending.

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::Play | ( |  | ) | `[virtual]`

Start playing the node, it will therefore start modifying the state of the skeleton.

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::RemoveAnimationCallback | ( | iSkeletonAnimCallback * | callback | ) | `[virtual]`

Remove the given animation callback from this node.

Parameters:

  callback | The callback object

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::SetPlaybackPosition | ( | float | time | ) | `[virtual]`

Set the current playback position, in seconds.

If time is set beyond the end of the animation then it will be capped.

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::SetPlaybackSpeed | ( | float | speed | ) | `[virtual]`

Set the playback speed.

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::Stop | ( |  | ) | `[virtual]`

Stop playing the node, it will no longer modify the state of the skeleton.

Implements CS::Animation::iSkeletonAnimNode.

virtual void CS::Animation::SkeletonAnimNodeSingleBase::TickAnimation | ( | float | dt | ) | `[virtual]`

Update the state of the animation generated by this node.

Parameters:

  dt | The time since the last update, in seconds

Implements CS::Animation::iSkeletonAnimNode.

## Member Data Documentation

csRef<CS::Animation::iSkeletonAnimNode> CS::Animation::SkeletonAnimNodeSingleBase::childNode`[protected]`

Reference to the child node of this node.

Definition at line 216 of file animnodetmpl.h.

bool CS::Animation::SkeletonAnimNodeSingleBase::isPlaying`[protected]`

Whether or not iSkeletonAnimNode::Play() has been called.

Definition at line 219 of file animnodetmpl.h.

float CS::Animation::SkeletonAnimNodeSingleBase::playbackSpeed`[protected]`

Speed of the animation of this node.

Definition at line 222 of file animnodetmpl.h.

csWeakRef<CS::Animation::iSkeleton> CS::Animation::SkeletonAnimNodeSingleBase::skeleton`[protected]`

Reference to the skeleton animated by this node.

Definition at line 213 of file animnodetmpl.h.

The documentation for this class was generated from the following file:

- cstool/animnodetmpl.h